<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.11) on Mon Sep 20 11:24:22 IST 2021 -->
<title>AdminRestController</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AdminRestController";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AdminRestController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">com.techgatha.loan.LoanProposalSpringBootProject.rest</a></div>
<h2 title="Class AdminRestController" class="title">Class AdminRestController</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.techgatha.loan.LoanProposalSpringBootProject.rest.AdminRestController</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>@RestController
@RequestMapping("/admin")
public class <span class="typeNameLabel">AdminRestController</span>
extends java.lang.Object</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Shalini
This class exposes REST API for admin</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">AdminRestController</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;<a href="../response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#approveLoans(java.lang.String)">approveLoans</a></span>&#8203;(java.lang.String&nbsp;empid)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../model/Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAllCollaterals()">getAllCollaterals</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;<a href="../response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#insertColateral(com.techgatha.loan.LoanProposalSpringBootProject.model.Collateral)">insertColateral</a></span>&#8203;(<a href="../model/Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a>&nbsp;collateral)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;<a href="../response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#insertCustomer(com.techgatha.loan.LoanProposalSpringBootProject.model.Customer)">insertCustomer</a></span>&#8203;(<a href="../model/Customer.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Customer</a>&nbsp;customer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;<a href="../response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#insertEmployee(com.techgatha.loan.LoanProposalSpringBootProject.model.Employee)">insertEmployee</a></span>&#8203;(<a href="../model/Employee.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Employee</a>&nbsp;employee)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.springframework.http.ResponseEntity&lt;<a href="../response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#updateCustomer(com.techgatha.loan.LoanProposalSpringBootProject.model.Customer)">updateCustomer</a></span>&#8203;(<a href="../model/Customer.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Customer</a>&nbsp;customer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AdminRestController</h4>
<pre>public&nbsp;AdminRestController()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="insertEmployee(com.techgatha.loan.LoanProposalSpringBootProject.model.Employee)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertEmployee</h4>
<pre class="methodSignature">@PostMapping("/emp")
public&nbsp;org.springframework.http.ResponseEntity&lt;<a href="../response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a>&gt;&nbsp;insertEmployee&#8203;(@RequestBody
                                                                            <a href="../model/Employee.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Employee</a>&nbsp;employee)</pre>
</li>
</ul>
<a id="insertColateral(com.techgatha.loan.LoanProposalSpringBootProject.model.Collateral)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertColateral</h4>
<pre class="methodSignature">@PostMapping("/coll")
public&nbsp;org.springframework.http.ResponseEntity&lt;<a href="../response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a>&gt;&nbsp;insertColateral&#8203;(@RequestBody
                                                                             <a href="../model/Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a>&nbsp;collateral)</pre>
</li>
</ul>
<a id="insertCustomer(com.techgatha.loan.LoanProposalSpringBootProject.model.Customer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertCustomer</h4>
<pre class="methodSignature">@PostMapping("/customer")
public&nbsp;org.springframework.http.ResponseEntity&lt;<a href="../response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a>&gt;&nbsp;insertCustomer&#8203;(@RequestBody
                                                                            <a href="../model/Customer.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Customer</a>&nbsp;customer)</pre>
</li>
</ul>
<a id="updateCustomer(com.techgatha.loan.LoanProposalSpringBootProject.model.Customer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateCustomer</h4>
<pre class="methodSignature">@PutMapping("/customer")
public&nbsp;org.springframework.http.ResponseEntity&lt;<a href="../response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a>&gt;&nbsp;updateCustomer&#8203;(@RequestBody
                                                                            <a href="../model/Customer.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Customer</a>&nbsp;customer)</pre>
</li>
</ul>
<a id="getAllCollaterals()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAllCollaterals</h4>
<pre class="methodSignature">@GetMapping("/collaterals")
public&nbsp;java.util.List&lt;<a href="../model/Collateral.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.model">Collateral</a>&gt;&nbsp;getAllCollaterals()
                                             throws java.lang.Exception</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd>
</dl>
</li>
</ul>
<a id="approveLoans(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>approveLoans</h4>
<pre class="methodSignature">@GetMapping("/emp/{empid}")
public&nbsp;org.springframework.http.ResponseEntity&lt;<a href="../response/ResponsePage.html" title="class in com.techgatha.loan.LoanProposalSpringBootProject.response">ResponsePage</a>&gt;&nbsp;approveLoans&#8203;(@PathVariable
                                                                          java.lang.String&nbsp;empid)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AdminRestController.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
